# Inventory Transactions

Inventory Transactions

 - [POST /inventoryTransactions/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/warmupinventorytransactions.md)
 - [POST /inventoryTransactions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /inventoryTransactions/{tenantId}/openPurchaseOrders/{product_type}/{product_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listopenpurchaseordersforproduct.md): Returns a list of records with the specified open_purchase_order_id
 - [GET /inventoryTransactions/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyorderid.md): Returns a list of records with the specified order_id
 - [POST /inventoryTransactions/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransaction.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown.
 - [POST /inventoryTransactions/{tenantId}/process/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransactionsync.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown.
 - [GET /inventoryTransactions/{tenantId}/productInventory/{product_inventory_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyproductinventoryid.md): Returns a list of records with the specified product_inventory_id
 - [GET /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/getinventorytransaction.md): This method will look up a inventory transaction by the specified ID and return it back.
 - [PATCH /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/patchinventorytransaction.md): This method will patch an existing inventory transaction with the specified ID, using the HTTP PATCH specification.
 - [PUT /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/updateinventorytransaction.md): This method will update an existing inventory transaction with the specified ID.
